Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Payroll
  • Employee
    • Get Employee
      GET
    • Update Employee
      PUT
    • Get List Employees
      GET
    • Get Employees List
      GET
    • Get Mastertypes List
      GET
    • Get Name Prefixes
      GET
    • Get Document Types
      GET
    • Update Employee
      POST
    • Add Employee Attachment
      POST
    • Update Employee Address
      POST
    • Update Employee Family
      POST
    • Update Employee Information
      POST
    • Update Employee Contact
      POST
    • Update Employee Education
      POST
    • Update Employee Experience
      POST
    • Update Employee CustomField
      POST
    • Delete Employee
      POST
    • Get Employee Role
      GET
    • Get Employee Movement Lists
      GET
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
  • Shifts
    • Get Shift Details
    • Update Employee Shifts
    • Get Employee Shifts
    • Swap Employee Shifts
  • Authentication API
    • Authorization
  • Leave
    • Get Employee Documents
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Attendance
    • Get Time Attendance
    • Get Time Attendances Lite
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Time
    • Workin
    • Get Employee WorkIn Site
    • Get Timestamps
    • Get TimeStamp Attachments
    • Get Workin Sites
    • Get IOMO Logs
    • Add Timestamps
  • AppMan
    • Update status criminal checker
    • Send Email Notification when completed
  • Asset
    • Get Asset list
    • Update Asset
    • Get Employee Assets
  • Recruitment
    • Get Candidate
    • Get Recruitment หน้าหลัก
  • Goals
    • Update KPI
  • Learn
    • GetCourse
  • Praise
    • GetEmployeePraisesByEmployeeNoAsync
    • GetPraiseTypesAsync
    • CreatePraiseRewardManagerAsync
  • Achievement
    • GetEmployeeAchievementsByEmployeeNoAsync
    • CreateAchievementCardAsync
    • CreateAchievementAwardDocumentAsync
  • Timesheet
    • SearchProjects
    • SearchTasks
    • AddTimeSheetEntry
  1. Payroll

Get Cost Center

POST
https://api.gofive.co.th/empeo/api/v1/Payroll/cost-centers

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json

Example
{
    "CompanyName": "empeo Dev Test",
    "Year": 2024,
    "PeriodCalculateNo": 1
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/Payroll/cost-centers' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "CompanyName": "empeo Dev Test",
    "Year": 2024,
    "PeriodCalculateNo": 1
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "totals": 2,
    "data": [
        {
            "companyCode": "987654927",
            "companyName": "empeo Dev Test",
            "code": "D12",
            "financialItemName": "หัก EPP",
            "orgLevelTwoName": "เทคโนโลยีสารสนเทศ",
            "orgLevelTwoCostCenter": "21032",
            "orgLevelThreeName": "Pegasus",
            "orgLevelThreeCostCenter": "",
            "orgLevelFourName": "Dev team P",
            "orgLevelFourCostCenter": "",
            "costCenter": "",
            "amount": 120,
            "accountCode": "",
            "accountCodeType": "",
            "debitCredit": "Credit"
        },
        {
            "companyCode": "987654927",
            "companyName": "empeo Dev Test",
            "code": "I02",
            "financialItemName": "ค่าล่วงเวลา",
            "orgLevelTwoName": "เทคโนโลยีสารสนเทศ",
            "orgLevelTwoCostCenter": "21032",
            "orgLevelThreeName": "Pegasus",
            "orgLevelThreeCostCenter": "",
            "orgLevelFourName": "Dev team P",
            "orgLevelFourCostCenter": "",
            "costCenter": "",
            "amount": 12330,
            "accountCode": "",
            "accountCodeType": "",
            "debitCredit": "Debit"
        }
    ]
}
Modified at 2026-04-28 10:38:02
Previous
Get Loan
Next
Get Financial Transactions
Built with